#!/bin/sh
#  
#
#     marks advertisings for SD with noad and HD with markad
#
#         modified by satellit from www.reelbox4you.tv
#
#
#     0.1.3-1 combine noad and markad 
#     0.1.3-2 works on NAS, update logos, request logo for markad
#     0.1.3-3 fixe some bugs and optimize markad parameter 
#     0.1.3-4 for stable and testing 
#     0.1.3-5 bugfixing, renew SAT.1 HD logo
#     0.1.3-6 Prolongate waiting time, renew kabel eins HD logo
#     0.1.4-03 markad 1.4 (29.9.12), update logos, cleanup 
#     0.1.4-04 added testing
#     0.1.4-05 recognition of epgsearch line in info and Fixed demux abort 
#     0.1.4-06 new logos, markad git from 2012-11-01
#     0.1.4-07 markad git from 2012-11-07 with new option astopoffs, which suppresses assumed end stop
#     0.1.4-08 markad git from 2012-11-09, which fixes bug in astopoffs
#     0.1.4-09 markad git from 2012-11-15, which renews kabel eins HD and SAT 1 HD logo and fixes bug in noadcall.sh 
#
#
#

# globals
if [ -f /etc/reel/globals ] ; then
	. /etc/reel/globals
else
	. /etc/default/globals
fi

c=0
while ! [ -f $2/info.txt -o -f $2/info.vdr ]; do
  c=`echo $((c+1))`
  sleep 2
  [ $c -gt 15 ] && break
done

if  grep -q ^H $2/info.vdr || grep -q ^H $2/info.txt ; then
   Syslog "HD recordings are support by markad" $1 $2
   # set the noad-binary here
   NOAD="markad"
   ONLINEMODE="--online=2"
   ADDOPTS="--loglevel=3 --astopoffs=1"
   BEFOREOPTS=""
   AFTEROPTS="-b -O"
   if [ "$1" = "before" ]; then
      Syslog "markad: Option for 1="$1"  2="$2" file="$file
      $NOAD $ONLINEMODE $ADDOPTS $BEFOREOPTS before $*
   else
#     check if logo exists
      file=`grep "C " $2/info.txt`
      file=`echo $file | tr '[ ]' '[_]' | cut -d '_' -f3-16`
      file=`echo $file | tr '[.]' '[?]'`
      file=`echo $file"-A*.pgm"`
      if  ls /var/lib/markad/$file | grep ".pgm" -cq ; then
         Syslog "markad: logo(s) found for markad"
      else
         Syslog "markad: logo not found for markad -> stop markad 1="$1" 2="$2" file="$file
         exit
      fi
#
      Syslog "markad: Option for 1="$1"  2="$2" file="$file
      #RecName=`echo $2 | cut -f5-6 -d/ | sed s/_/" "/g`
      #echo "Starting NoAd for $RecName."
      $NOAD $ADDOPTS $AFTEROPTS after $*
      #Info
      tl $NOAD "started"
   fi
else
   Syslog "SD recordings are support by noad" $1 $2
   # set the noad-binary here
   NOAD="noad"
   # set the online-mode here
   # 1 means online for live-recording only
   # 2 means online for every recording
   ONLINEMODE="--online=2"
   # set additional args for every call here here
   ADDOPTS="--ac3 --overlap --jumplogo --comments --savelogo"
   # set special args for a call with 'before' here
   # e.g. set a specail statistikfile
   BEFOREOPTS="--statisticfile=/media/reel/recordings/noadonlinestat"
   # set special args for a call with 'after' here
   # e.g. backup the marks from the online-call before
   #      so you can compare the marks and see
   #      how the marks vary between online-mode
   #      and normal scan (backup-marks are in marks0.vdr)
   AFTEROPTS="nice --background --OSD"
   if [ "$1" = "before" ]; then
	Syslog " Option before for" $1 "#" $*
	$NOAD $* $ONLINEMODE $ADDOPTS $BEFOREOPTS
   else
	Syslog " Option NOT before for" $1 "#" $*
	#RecName=`echo $2 | cut -f5-6 -d/ | sed s/_/" "/g`
	#echo "Starting NoAd for $RecName."
	$NOAD $* $ADDOPTS $AFTEROPTS
	#Info
        tl $NOAD "started"
   fi
fi
